summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2021-12-04 00:41:43 +0300
committerormorph <roma251078@mail.ru>2021-12-04 00:41:43 +0300
commit2eb38c699ebf0ab2f557e36053410ccaa4a64544 (patch)
tree4d0373e39fcc4edf223ddc245df4d4be03912668
parent72c259ee0c7859cbdf5b1219bce820b3adaf5ca0 (diff)
downloadtde-packaging-gentoo-other/back-14.0.8.tar.gz
tde-packaging-gentoo-other/back-14.0.8.zip
Added kdbg ebuildother/back-14.0.8
Signed-off-by: ormorph <roma251078@mail.ru>
-rw-r--r--trinity-apps/kdbg/Manifest1
-rw-r--r--trinity-apps/kdbg/kdbg-14.0.11.ebuild28
-rw-r--r--trinity-apps/kdbg/kdbg-9999.ebuild28
-rw-r--r--trinity-apps/kdbg/metadata.xml8
4 files changed, 65 insertions, 0 deletions
diff --git a/trinity-apps/kdbg/Manifest b/trinity-apps/kdbg/Manifest
new file mode 100644
index 00000000..34c6b6e7
--- /dev/null
+++ b/trinity-apps/kdbg/Manifest
@@ -0,0 +1 @@
+DIST kdbg-trinity-14.0.11.tar.xz 218156 BLAKE2B d90955736ca01852497aff0d6ef47a2db19878741a0407a18c193a92d78deb9f9cc5609723dcc96829c9eb7a2590b5d6e737f410569e2b1f63b4b14700df0f8a SHA512 433ea136cc5d498f3866f58e6e08906e40cc4e045a8758a6f63b04ce367bdd6ea777495e97107eb1767cc968ff0020831e84f018f047a477644f48bda00806b4
diff --git a/trinity-apps/kdbg/kdbg-14.0.11.ebuild b/trinity-apps/kdbg/kdbg-14.0.11.ebuild
new file mode 100644
index 00000000..bdc3154c
--- /dev/null
+++ b/trinity-apps/kdbg/kdbg-14.0.11.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="br ca cs da de es fi fr is no pl pt_BR pt ro ru sk sl sv"
+TRINITY_MODULE_TYPE="applications/development"
+inherit trinity-base-2
+
+DESCRIPTION="Graphical debugger interface for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+}
diff --git a/trinity-apps/kdbg/kdbg-9999.ebuild b/trinity-apps/kdbg/kdbg-9999.ebuild
new file mode 100644
index 00000000..a214eae9
--- /dev/null
+++ b/trinity-apps/kdbg/kdbg-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="br ca cs da de es fi fr is no pl pt_BR pt ro ru sk sl sv"
+TRINITY_MODULE_TYPE="applications/development"
+inherit trinity-base-2
+
+DESCRIPTION="Graphical debugger interface for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+
+ trinity-base-2_src_configure
+}
diff --git a/trinity-apps/kdbg/metadata.xml b/trinity-apps/kdbg/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/kdbg/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>